io.milvus.param.collection

## Class AlterDatabaseParam.Builder

- java.lang.Object
- - io.milvus.param.collection.AlterDatabaseParam.Builder

- Enclosing class:
    AlterDatabaseParam

      public static final class AlterDatabaseParam.Builder
      extends java.lang.Object

  Builder for `AlterDatabaseParam` class.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AlterDatabaseParam` | `build()` Verifies parameters and creates a new `AlterDatabaseParam` instance.
    `AlterDatabaseParam.Builder` | `withDatabaseName(@NonNull java.lang.String databaseName)` Sets the database name.
    `AlterDatabaseParam.Builder` | `withProperty(@NonNull java.lang.String key, @NonNull java.lang.String value)` Basic method to set a key-value property.
    `AlterDatabaseParam.Builder` | `withReplicaNumber(int replicaNumber)` Sets the replica number in database level, then if load collection doesn't have replica number, it will use this replica number.
    `AlterDatabaseParam.Builder` | `WithResourceGroups(@NonNull java.util.List<java.lang.String> resourceGroups)` Sets the resource groups in database level, then if load collection doesn't have resource groups, it will use this resource groups.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### withDatabaseName

          public AlterDatabaseParam.Builder withDatabaseName(@NonNull
                                                             @NonNull java.lang.String databaseName)

      Sets the database name. database name can be nil.
      Parameters:
        `databaseName` - database name
      Returns:
        `Builder`

    - #### withReplicaNumber

          public AlterDatabaseParam.Builder withReplicaNumber(int replicaNumber)

      Sets the replica number in database level, then if load collection doesn't have replica number, it will use this replica number.
      Parameters:
        `replicaNumber` - replica number
      Returns:
        `Builder`

    - #### WithResourceGroups

          public AlterDatabaseParam.Builder WithResourceGroups(@NonNull
                                                               @NonNull java.util.List<java.lang.String> resourceGroups)

      Sets the resource groups in database level, then if load collection doesn't have resource groups, it will use this resource groups.
      Parameters:
        `resourceGroups` - resource group names
      Returns:
        `Builder`

    - #### withProperty

          public AlterDatabaseParam.Builder withProperty(@NonNull
                                                         @NonNull java.lang.String key,
                                                         @NonNull
                                                         @NonNull java.lang.String value)

      Basic method to set a key-value property.
      Parameters:
        `key` - the key
        `value` - the value
      Returns:
        `Builder`

    - #### build

          public AlterDatabaseParam build()
                                   throws ParamException

      Verifies parameters and creates a new `AlterDatabaseParam` instance.
      Returns:
        `AlterDatabaseParam`
      Throws:
        `ParamException`